/**
 * POCDMT000040RegionOfInterest2.java
 *
 * File generated from the cdaepsos2::POCDMT000040RegionOfInterest2 uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.cdaepsos2;

import java.util.ArrayList;
import java.util.List;

// End of user code
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;


/**
 * Description of the class POCDMT000040RegionOfInterest2.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "POCD_MT000040.RegionOfInterest", propOrder = {
	"realmCode",
	"typeId",
	"templateId",
	"id",
	"code",
	"value",
	"subject",
	"specimen",
	"performer",
	"author",
	"informant",
	"participant",
	"entryRelationship",
	"reference",
	"precondition",
	"classCode",
	"iD1",
	"moodCode",
	"nullFlavor"
})
@XmlRootElement(name = "POCD_MT000040.RegionOfInterest")
public class POCDMT000040RegionOfInterest2 implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	@XmlElement(name = "realmCode", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.datatypes.CS> realmCode;
	@XmlElement(name = "typeId", namespace = "urn:hl7-org:v3")
	public net.ihe.gazelle.cda.POCDMT000040InfrastructureRootTypeId typeId;
	@XmlElement(name = "templateId", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.datatypes.II> templateId;
	@XmlElement(name = "id", required = true, namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.datatypes.II> id;
	@XmlElement(name = "code", required = true, namespace = "urn:hl7-org:v3")
	public net.ihe.gazelle.datatypes.CS code;
	@XmlElement(name = "value", required = true, namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.cda.POCDMT000040RegionOfInterestValue> value;
	@XmlElement(name = "subject", namespace = "urn:hl7-org:v3")
	public net.ihe.gazelle.cda.POCDMT000040Subject subject;
	@XmlElement(name = "specimen", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.cda.POCDMT000040Specimen> specimen;
	@XmlElement(name = "performer", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.cda.POCDMT000040Performer2> performer;
	@XmlElement(name = "author", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.cda.POCDMT000040Author> author;
	@XmlElement(name = "informant", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.cda.POCDMT000040Informant12> informant;
	@XmlElement(name = "participant", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.cda.POCDMT000040Participant2> participant;
	@XmlElement(name = "entryRelationship", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.cdaepsos2.POCDMT000040EntryRelationship2> entryRelationship;
	@XmlElement(name = "reference", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.cda.POCDMT000040Reference> reference;
	@XmlElement(name = "precondition", namespace = "urn:hl7-org:v3")
	public List<net.ihe.gazelle.cda.POCDMT000040Precondition> precondition;
	@XmlAttribute(name = "classCode", required = true)
	public net.ihe.gazelle.voc.ActClass classCode;
	@XmlAttribute(name = "ID")
	public String iD1;
	@XmlAttribute(name = "moodCode", required = true)
	public net.ihe.gazelle.voc.ActMood moodCode;
	@XmlAttribute(name = "nullFlavor")
	public net.ihe.gazelle.voc.NullFlavor nullFlavor;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node _xmlNodePresentation;
	
	
	/**
	 * Return realmCode.
	 * @return realmCode
	 */
	public List<net.ihe.gazelle.datatypes.CS> getRealmCode() {
		if (realmCode == null) {
	        realmCode = new ArrayList<net.ihe.gazelle.datatypes.CS>();
	    }
	    return realmCode;
	}
	
	/**
	 * Set a value to attribute realmCode.
	 * @param realmCode.
	 */
	public void setRealmCode(List<net.ihe.gazelle.datatypes.CS> realmCode) {
	    this.realmCode = realmCode;
	}
	
	
	
	/**
	 * Add a realmCode to the realmCode collection.
	 * @param realmCode_elt Element to add.
	 */
	public void addRealmCode(net.ihe.gazelle.datatypes.CS realmCode_elt) {
	    this.getRealmCode().add(realmCode_elt);
	}
	
	/**
	 * Remove a realmCode to the realmCode collection.
	 * @param realmCode_elt Element to remove
	 */
	public void removeRealmCode(net.ihe.gazelle.datatypes.CS realmCode_elt) {
	    this.getRealmCode().remove(realmCode_elt);
	}
	
	/**
	 * Return typeId.
	 * @return typeId
	 */
	public net.ihe.gazelle.cda.POCDMT000040InfrastructureRootTypeId getTypeId() {
	    return typeId;
	}
	
	/**
	 * Set a value to attribute typeId.
	 * @param typeId.
	 */
	public void setTypeId(net.ihe.gazelle.cda.POCDMT000040InfrastructureRootTypeId typeId) {
	    this.typeId = typeId;
	}
	
	
	
	
	/**
	 * Return templateId.
	 * @return templateId
	 */
	public List<net.ihe.gazelle.datatypes.II> getTemplateId() {
		if (templateId == null) {
	        templateId = new ArrayList<net.ihe.gazelle.datatypes.II>();
	    }
	    return templateId;
	}
	
	/**
	 * Set a value to attribute templateId.
	 * @param templateId.
	 */
	public void setTemplateId(List<net.ihe.gazelle.datatypes.II> templateId) {
	    this.templateId = templateId;
	}
	
	
	
	/**
	 * Add a templateId to the templateId collection.
	 * @param templateId_elt Element to add.
	 */
	public void addTemplateId(net.ihe.gazelle.datatypes.II templateId_elt) {
	    this.getTemplateId().add(templateId_elt);
	}
	
	/**
	 * Remove a templateId to the templateId collection.
	 * @param templateId_elt Element to remove
	 */
	public void removeTemplateId(net.ihe.gazelle.datatypes.II templateId_elt) {
	    this.getTemplateId().remove(templateId_elt);
	}
	
	/**
	 * Return id.
	 * @return id
	 */
	public List<net.ihe.gazelle.datatypes.II> getId() {
		if (id == null) {
	        id = new ArrayList<net.ihe.gazelle.datatypes.II>();
	    }
	    return id;
	}
	
	/**
	 * Set a value to attribute id.
	 * @param id.
	 */
	public void setId(List<net.ihe.gazelle.datatypes.II> id) {
	    this.id = id;
	}
	
	
	
	/**
	 * Add a id to the id collection.
	 * @param id_elt Element to add.
	 */
	public void addId(net.ihe.gazelle.datatypes.II id_elt) {
	    this.getId().add(id_elt);
	}
	
	/**
	 * Remove a id to the id collection.
	 * @param id_elt Element to remove
	 */
	public void removeId(net.ihe.gazelle.datatypes.II id_elt) {
	    this.getId().remove(id_elt);
	}
	
	/**
	 * Return code.
	 * @return code
	 */
	public net.ihe.gazelle.datatypes.CS getCode() {
	    return code;
	}
	
	/**
	 * Set a value to attribute code.
	 * @param code.
	 */
	public void setCode(net.ihe.gazelle.datatypes.CS code) {
	    this.code = code;
	}
	
	
	
	
	/**
	 * Return value.
	 * @return value
	 */
	public List<net.ihe.gazelle.cda.POCDMT000040RegionOfInterestValue> getValue() {
		if (value == null) {
	        value = new ArrayList<net.ihe.gazelle.cda.POCDMT000040RegionOfInterestValue>();
	    }
	    return value;
	}
	
	/**
	 * Set a value to attribute value.
	 * @param value.
	 */
	public void setValue(List<net.ihe.gazelle.cda.POCDMT000040RegionOfInterestValue> value) {
	    this.value = value;
	}
	
	
	
	/**
	 * Add a value to the value collection.
	 * @param value_elt Element to add.
	 */
	public void addValue(net.ihe.gazelle.cda.POCDMT000040RegionOfInterestValue value_elt) {
	    this.getValue().add(value_elt);
	}
	
	/**
	 * Remove a value to the value collection.
	 * @param value_elt Element to remove
	 */
	public void removeValue(net.ihe.gazelle.cda.POCDMT000040RegionOfInterestValue value_elt) {
	    this.getValue().remove(value_elt);
	}
	
	/**
	 * Return subject.
	 * @return subject
	 */
	public net.ihe.gazelle.cda.POCDMT000040Subject getSubject() {
	    return subject;
	}
	
	/**
	 * Set a value to attribute subject.
	 * @param subject.
	 */
	public void setSubject(net.ihe.gazelle.cda.POCDMT000040Subject subject) {
	    this.subject = subject;
	}
	
	
	
	
	/**
	 * Return specimen.
	 * @return specimen
	 */
	public List<net.ihe.gazelle.cda.POCDMT000040Specimen> getSpecimen() {
		if (specimen == null) {
	        specimen = new ArrayList<net.ihe.gazelle.cda.POCDMT000040Specimen>();
	    }
	    return specimen;
	}
	
	/**
	 * Set a value to attribute specimen.
	 * @param specimen.
	 */
	public void setSpecimen(List<net.ihe.gazelle.cda.POCDMT000040Specimen> specimen) {
	    this.specimen = specimen;
	}
	
	
	
	/**
	 * Add a specimen to the specimen collection.
	 * @param specimen_elt Element to add.
	 */
	public void addSpecimen(net.ihe.gazelle.cda.POCDMT000040Specimen specimen_elt) {
	    this.getSpecimen().add(specimen_elt);
	}
	
	/**
	 * Remove a specimen to the specimen collection.
	 * @param specimen_elt Element to remove
	 */
	public void removeSpecimen(net.ihe.gazelle.cda.POCDMT000040Specimen specimen_elt) {
	    this.getSpecimen().remove(specimen_elt);
	}
	
	/**
	 * Return performer.
	 * @return performer
	 */
	public List<net.ihe.gazelle.cda.POCDMT000040Performer2> getPerformer() {
		if (performer == null) {
	        performer = new ArrayList<net.ihe.gazelle.cda.POCDMT000040Performer2>();
	    }
	    return performer;
	}
	
	/**
	 * Set a value to attribute performer.
	 * @param performer.
	 */
	public void setPerformer(List<net.ihe.gazelle.cda.POCDMT000040Performer2> performer) {
	    this.performer = performer;
	}
	
	
	
	/**
	 * Add a performer to the performer collection.
	 * @param performer_elt Element to add.
	 */
	public void addPerformer(net.ihe.gazelle.cda.POCDMT000040Performer2 performer_elt) {
	    this.getPerformer().add(performer_elt);
	}
	
	/**
	 * Remove a performer to the performer collection.
	 * @param performer_elt Element to remove
	 */
	public void removePerformer(net.ihe.gazelle.cda.POCDMT000040Performer2 performer_elt) {
	    this.getPerformer().remove(performer_elt);
	}
	
	/**
	 * Return author.
	 * @return author
	 */
	public List<net.ihe.gazelle.cda.POCDMT000040Author> getAuthor() {
		if (author == null) {
	        author = new ArrayList<net.ihe.gazelle.cda.POCDMT000040Author>();
	    }
	    return author;
	}
	
	/**
	 * Set a value to attribute author.
	 * @param author.
	 */
	public void setAuthor(List<net.ihe.gazelle.cda.POCDMT000040Author> author) {
	    this.author = author;
	}
	
	
	
	/**
	 * Add a author to the author collection.
	 * @param author_elt Element to add.
	 */
	public void addAuthor(net.ihe.gazelle.cda.POCDMT000040Author author_elt) {
	    this.getAuthor().add(author_elt);
	}
	
	/**
	 * Remove a author to the author collection.
	 * @param author_elt Element to remove
	 */
	public void removeAuthor(net.ihe.gazelle.cda.POCDMT000040Author author_elt) {
	    this.getAuthor().remove(author_elt);
	}
	
	/**
	 * Return informant.
	 * @return informant
	 */
	public List<net.ihe.gazelle.cda.POCDMT000040Informant12> getInformant() {
		if (informant == null) {
	        informant = new ArrayList<net.ihe.gazelle.cda.POCDMT000040Informant12>();
	    }
	    return informant;
	}
	
	/**
	 * Set a value to attribute informant.
	 * @param informant.
	 */
	public void setInformant(List<net.ihe.gazelle.cda.POCDMT000040Informant12> informant) {
	    this.informant = informant;
	}
	
	
	
	/**
	 * Add a informant to the informant collection.
	 * @param informant_elt Element to add.
	 */
	public void addInformant(net.ihe.gazelle.cda.POCDMT000040Informant12 informant_elt) {
	    this.getInformant().add(informant_elt);
	}
	
	/**
	 * Remove a informant to the informant collection.
	 * @param informant_elt Element to remove
	 */
	public void removeInformant(net.ihe.gazelle.cda.POCDMT000040Informant12 informant_elt) {
	    this.getInformant().remove(informant_elt);
	}
	
	/**
	 * Return participant.
	 * @return participant
	 */
	public List<net.ihe.gazelle.cda.POCDMT000040Participant2> getParticipant() {
		if (participant == null) {
	        participant = new ArrayList<net.ihe.gazelle.cda.POCDMT000040Participant2>();
	    }
	    return participant;
	}
	
	/**
	 * Set a value to attribute participant.
	 * @param participant.
	 */
	public void setParticipant(List<net.ihe.gazelle.cda.POCDMT000040Participant2> participant) {
	    this.participant = participant;
	}
	
	
	
	/**
	 * Add a participant to the participant collection.
	 * @param participant_elt Element to add.
	 */
	public void addParticipant(net.ihe.gazelle.cda.POCDMT000040Participant2 participant_elt) {
	    this.getParticipant().add(participant_elt);
	}
	
	/**
	 * Remove a participant to the participant collection.
	 * @param participant_elt Element to remove
	 */
	public void removeParticipant(net.ihe.gazelle.cda.POCDMT000040Participant2 participant_elt) {
	    this.getParticipant().remove(participant_elt);
	}
	
	/**
	 * Return entryRelationship.
	 * @return entryRelationship
	 */
	public List<net.ihe.gazelle.cdaepsos2.POCDMT000040EntryRelationship2> getEntryRelationship() {
		if (entryRelationship == null) {
	        entryRelationship = new ArrayList<net.ihe.gazelle.cdaepsos2.POCDMT000040EntryRelationship2>();
	    }
	    return entryRelationship;
	}
	
	/**
	 * Set a value to attribute entryRelationship.
	 * @param entryRelationship.
	 */
	public void setEntryRelationship(List<net.ihe.gazelle.cdaepsos2.POCDMT000040EntryRelationship2> entryRelationship) {
	    this.entryRelationship = entryRelationship;
	}
	
	
	
	/**
	 * Add a entryRelationship to the entryRelationship collection.
	 * @param entryRelationship_elt Element to add.
	 */
	public void addEntryRelationship(net.ihe.gazelle.cdaepsos2.POCDMT000040EntryRelationship2 entryRelationship_elt) {
	    this.getEntryRelationship().add(entryRelationship_elt);
	}
	
	/**
	 * Remove a entryRelationship to the entryRelationship collection.
	 * @param entryRelationship_elt Element to remove
	 */
	public void removeEntryRelationship(net.ihe.gazelle.cdaepsos2.POCDMT000040EntryRelationship2 entryRelationship_elt) {
	    this.getEntryRelationship().remove(entryRelationship_elt);
	}
	
	/**
	 * Return reference.
	 * @return reference
	 */
	public List<net.ihe.gazelle.cda.POCDMT000040Reference> getReference() {
		if (reference == null) {
	        reference = new ArrayList<net.ihe.gazelle.cda.POCDMT000040Reference>();
	    }
	    return reference;
	}
	
	/**
	 * Set a value to attribute reference.
	 * @param reference.
	 */
	public void setReference(List<net.ihe.gazelle.cda.POCDMT000040Reference> reference) {
	    this.reference = reference;
	}
	
	
	
	/**
	 * Add a reference to the reference collection.
	 * @param reference_elt Element to add.
	 */
	public void addReference(net.ihe.gazelle.cda.POCDMT000040Reference reference_elt) {
	    this.getReference().add(reference_elt);
	}
	
	/**
	 * Remove a reference to the reference collection.
	 * @param reference_elt Element to remove
	 */
	public void removeReference(net.ihe.gazelle.cda.POCDMT000040Reference reference_elt) {
	    this.getReference().remove(reference_elt);
	}
	
	/**
	 * Return precondition.
	 * @return precondition
	 */
	public List<net.ihe.gazelle.cda.POCDMT000040Precondition> getPrecondition() {
		if (precondition == null) {
	        precondition = new ArrayList<net.ihe.gazelle.cda.POCDMT000040Precondition>();
	    }
	    return precondition;
	}
	
	/**
	 * Set a value to attribute precondition.
	 * @param precondition.
	 */
	public void setPrecondition(List<net.ihe.gazelle.cda.POCDMT000040Precondition> precondition) {
	    this.precondition = precondition;
	}
	
	
	
	/**
	 * Add a precondition to the precondition collection.
	 * @param precondition_elt Element to add.
	 */
	public void addPrecondition(net.ihe.gazelle.cda.POCDMT000040Precondition precondition_elt) {
	    this.getPrecondition().add(precondition_elt);
	}
	
	/**
	 * Remove a precondition to the precondition collection.
	 * @param precondition_elt Element to remove
	 */
	public void removePrecondition(net.ihe.gazelle.cda.POCDMT000040Precondition precondition_elt) {
	    this.getPrecondition().remove(precondition_elt);
	}
	
	/**
	 * Return classCode.
	 * @return classCode
	 */
	public net.ihe.gazelle.voc.ActClass getClassCode() {
	    return classCode;
	}
	
	/**
	 * Set a value to attribute classCode.
	 * @param classCode.
	 */
	public void setClassCode(net.ihe.gazelle.voc.ActClass classCode) {
	    this.classCode = classCode;
	}
	
	
	
	
	/**
	 * Return iD1.
	 * @return iD1
	 */
	public String getID1() {
	    return iD1;
	}
	
	/**
	 * Set a value to attribute iD1.
	 * @param iD1.
	 */
	public void setID1(String iD1) {
	    this.iD1 = iD1;
	}
	
	/**
	 * Return iD1.
	 * @return iD1
	 * Generated for the use on jsf pages
	 */
	 @Deprecated
	public String getiD1() {
	    return iD1;
	}
	
	/**
	 * Set a value to attribute iD1.
	 * @param iD1.
	 * Generated for the use on jsf pages
	 */
	 @Deprecated
	public void setiD1(String iD1) {
	    this.iD1 = iD1;
	}
	
	
	
	/**
	 * Return moodCode.
	 * @return moodCode
	 */
	public net.ihe.gazelle.voc.ActMood getMoodCode() {
	    return moodCode;
	}
	
	/**
	 * Set a value to attribute moodCode.
	 * @param moodCode.
	 */
	public void setMoodCode(net.ihe.gazelle.voc.ActMood moodCode) {
	    this.moodCode = moodCode;
	}
	
	
	
	
	/**
	 * Return nullFlavor.
	 * @return nullFlavor
	 */
	public net.ihe.gazelle.voc.NullFlavor getNullFlavor() {
	    return nullFlavor;
	}
	
	/**
	 * Set a value to attribute nullFlavor.
	 * @param nullFlavor.
	 */
	public void setNullFlavor(net.ihe.gazelle.voc.NullFlavor nullFlavor) {
	    this.nullFlavor = nullFlavor;
	}
	
	
	
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.cdaepsos2");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:hl7-org:v3", "POCD_MT000040.RegionOfInterest").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(POCDMT000040RegionOfInterest2 pOCDMT000040RegionOfInterest2, String _location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (pOCDMT000040RegionOfInterest2 != null){
   			cvm.validate(pOCDMT000040RegionOfInterest2, _location, diagnostic);
			{
				int i = 0;
				for (net.ihe.gazelle.datatypes.CS realmCode: pOCDMT000040RegionOfInterest2.getRealmCode()){
					net.ihe.gazelle.datatypes.CS.validateByModule(realmCode, _location + "/realmCode[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			net.ihe.gazelle.cda.POCDMT000040InfrastructureRootTypeId.validateByModule(pOCDMT000040RegionOfInterest2.getTypeId(), _location + "/typeId", cvm, diagnostic);
			{
				int i = 0;
				for (net.ihe.gazelle.datatypes.II templateId: pOCDMT000040RegionOfInterest2.getTemplateId()){
					net.ihe.gazelle.datatypes.II.validateByModule(templateId, _location + "/templateId[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.datatypes.II id: pOCDMT000040RegionOfInterest2.getId()){
					net.ihe.gazelle.datatypes.II.validateByModule(id, _location + "/id[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			net.ihe.gazelle.datatypes.CS.validateByModule(pOCDMT000040RegionOfInterest2.getCode(), _location + "/code", cvm, diagnostic);
			{
				int i = 0;
				for (net.ihe.gazelle.cda.POCDMT000040RegionOfInterestValue value: pOCDMT000040RegionOfInterest2.getValue()){
					net.ihe.gazelle.cda.POCDMT000040RegionOfInterestValue.validateByModule(value, _location + "/value[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			net.ihe.gazelle.cda.POCDMT000040Subject.validateByModule(pOCDMT000040RegionOfInterest2.getSubject(), _location + "/subject", cvm, diagnostic);
			{
				int i = 0;
				for (net.ihe.gazelle.cda.POCDMT000040Specimen specimen: pOCDMT000040RegionOfInterest2.getSpecimen()){
					net.ihe.gazelle.cda.POCDMT000040Specimen.validateByModule(specimen, _location + "/specimen[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.cda.POCDMT000040Performer2 performer: pOCDMT000040RegionOfInterest2.getPerformer()){
					net.ihe.gazelle.cda.POCDMT000040Performer2.validateByModule(performer, _location + "/performer[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.cda.POCDMT000040Author author: pOCDMT000040RegionOfInterest2.getAuthor()){
					net.ihe.gazelle.cda.POCDMT000040Author.validateByModule(author, _location + "/author[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.cda.POCDMT000040Informant12 informant: pOCDMT000040RegionOfInterest2.getInformant()){
					net.ihe.gazelle.cda.POCDMT000040Informant12.validateByModule(informant, _location + "/informant[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.cda.POCDMT000040Participant2 participant: pOCDMT000040RegionOfInterest2.getParticipant()){
					net.ihe.gazelle.cda.POCDMT000040Participant2.validateByModule(participant, _location + "/participant[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.cdaepsos2.POCDMT000040EntryRelationship2 entryRelationship: pOCDMT000040RegionOfInterest2.getEntryRelationship()){
					net.ihe.gazelle.cdaepsos2.POCDMT000040EntryRelationship2.validateByModule(entryRelationship, _location + "/entryRelationship[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.cda.POCDMT000040Reference reference: pOCDMT000040RegionOfInterest2.getReference()){
					net.ihe.gazelle.cda.POCDMT000040Reference.validateByModule(reference, _location + "/reference[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.cda.POCDMT000040Precondition precondition: pOCDMT000040RegionOfInterest2.getPrecondition()){
					net.ihe.gazelle.cda.POCDMT000040Precondition.validateByModule(precondition, _location + "/precondition[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
    	}
    }

}